Get Product
const url = 'https://api.exolink.cloud/product/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/product/1 \ --header 'Authorization: Bearer <token>'Get details of a specific product
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”Product details
object
Unique identifier for the product
Internal product name
Display name for the product
Product description
Product type
Whether the product is currently active and available for purchase
Price in cents
Product metadata including type, limits, and features
object
Product type (addon or connect subscription)
Icon identifier for UI
Translation key for product name
Usage limit for the product
Maximum number of chargers allowed (empty = unlimited)
Whether promotion codes can be applied
Whether product can be used without booking (trial period)
Show special offer ribbon in UI
Example
{ "id": 1, "name": "connect_basic", "displayName": "Connect Basic", "type": "connect", "price": 2900, "metadata": { "type": "addon", "active": "true", "allowPromotion": "true", "freePeriod": "true", "ribbon": "true" }}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Resource not found
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Charger '7' not found", "errorCode": "ERR_API_RESOURCE_NOT_FOUND"}